## rsplib 2.7.10

=== debian/changelog ===
rsplib (2.7.10-0ubuntu1) natty; urgency=high

  * New upstream release (LP: #721923), containing important bugfixes.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 19 Feb 2011 22:22:22 +0200

rsplib (2.7.8-0ubuntu1) natty; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/rules: Using tiny rules for debhelper 7 now.
  * debian/control:
    - Drop Build-Depends on quilt. It's obsolete with 3.0 source format.
    - Bump Standards-Version to 3.9.1.
    - Recommends chrpath because it allows scripting service scripts to
      remove absolute library paths.
    - Removed obsolete build dependencies:
      libx11-dev, libxext-dev, libxmu-dev, libxi-dev.
  * debian/patches: Removed obsolete spelling error patch (fixed upstream).
  * debian/copyright: Updated.
  * debian/watch: Updated URL of upstream package.
  * debian/README.source: Dropped. It's obsolete with 3.0 source format.
  * debian/rsplib-docs.docs, debian/rsplib-docs.docs, debian/control:
    Moved rsplib documentation into separate package.
  * Removed obsolete debian/rsplib-doc.docs and debian/rsplib-doc.install.
  * debian/rsplib-registrar.init: Updated header.
  * Applied wrap-and-sort.
  * New upstream release (LP: #696512).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 08 Feb 2011 11:11:11 +0200

rsplib (2.7.0-0ubuntu1) lucid; urgency=low

  [ Thomas Dreibholz ]
  * New upstream release (LP: #492771).
  * Updated Ubuntu package to latest release.
  * Improved init file for rsplib-registrar (turn on IPv6 by default and
    write logfile).

  [ Alessio Treglia ]
  * Bump Standards.
  * Switch to debhelper 7.
  * Install all new libraries.
  * Update debian/copyright according to Debian DEP-5.
  * debian/control:
    - Don't duplicate Priority,Section fields.
  * Add quilt support.
  * debian/patches/01-spelling_error.patch:
    - rsplib/asapinstance.c: s/succesful/successful/

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 05 Dec 2009 10:10:30 +0100

rsplib (2.6.4-0ubuntu1) karmic; urgency=low

  * Updated Ubuntu package to latest release (LP: #378689).
  * Improved init file for rsplib-registrar (turn on IPv6 by default and
    write logfile).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 20 May 2009 13:23:00 +0200

rsplib (2.6.1-0ubuntu1) karmic; urgency=low

  * Updated Ubuntu package to latest release (LP: #366631).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 25 Apr 2009 12:00:00 +0200

rsplib (2.6.0-3ubuntu1) jaunty; urgency=low

  * Removed unnecessary setting of rpath by Qt 4.x detection code.
  * Fixed too-long lines in debian/control.
  * Updated packaging script.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 23 Feb 2009 15:37:12 +0200

rsplib (2.6.0-0ubuntu1) jaunty; urgency=low

  * Updated Ubuntu package to latest release (LP: #324959).
  * Updated watch file (updated URL from tdrwww.exp-math.uni-essen.de to
    www.iem.uni-due.de)
  * Used Qt 4.x instead of Qt 3.x for fractal demo pool user now.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 16 Jan 2009 10:21:12 +0200

rsplib (2.5.0~rc1-0ubuntu1) intrepid; urgency=low

  * Initial Ubuntu package (LP: #190435).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 26 Aug 2008 20:09:31 +0200
