=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-maintainer-mode --enable-kernel-sctp --enable-qt --enable-csp

override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog
