=== debian/watch ===
version=3
http://www.tdr.wiwi.uni-due.de/forschung/forschungsprojekte/reliable-server-pooling/    fileadmin/fileupload/I-TDR/ReliableServer/Downloads/rsplib-(.*)\.tar\.gz
