## rsplib 2.7.13

=== debian/changelog ===
rsplib (2.7.13-0ubuntu1) precise; urgency=low

  [ Thomas Dreibholz ]
  * New upstream release.
  * Fixed non-empty-dependency_libs-in-la-file lintian error in rules file.
  * Added debug package to control file.
  * Improved package descriptions in control file.
  * Bumped standards version in control file to 3.9.2.
  * Fixed dependencies in control file.
  * Bugfix for configure script (LP: #831109).

  [ Charlie Smotherman ]
  * Removed ppa versioning from changelog.
  * Updated debain/copyright with suggested DEP5 changes from output using 
    libconfig-model-perl.
  * Removed debian/patches/fix-qt-detection.patch, included in new upstream
    release.
  * Close upgrade bug. (LP: #892717)

 -- Charlie Smotherman <cjsmo@ubuntu.com>  Tue, 29 Nov 2011 17:37:43 -0500

rsplib (2.7.10-0ubuntu2) oneiric; urgency=low

  * debian/patches/fix-qt-detection.patch:
    - Backport patch from 2.7.12 to fix FTBFS due to bad Qt detection
      LP: #831109

 -- Michael Terry <mterry@ubuntu.com>  Mon, 29 Aug 2011 09:57:02 -0400
