=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libbz2-dev (>= 1.0),
                libqt4-dev,
                libsctp-dev (>= 1.0.5)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: librsplib2
 Section: libs
@@ -110,7 +110,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: chrpath,
-            rsplib-docs
+            rsplib-docs,
+            rsplib-fgp-cfgfiles
 Description: RSerPool test tools
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
  RFC 5356) for a lightweight server pool and session management framework.
@@ -126,7 +127,6 @@
          rsplib-tools,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: rsplib-fgp-cfgfiles
 Description: RSerPool example services
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
  RFC 5356) for a lightweight server pool and session management framework.
@@ -140,8 +140,7 @@
 
 Package: rsplib-fgp-cfgfiles
 Architecture: all
-Depends: rsplib-tools,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: RSerPool Fractal Generator Service example input files
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
@@ -152,3 +151,21 @@
  .
  This package provides a set of input files for the Fractal Generator
  service.
+
+Package: rsplib-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: libcpprspserver2 (= ${binary:Version}),
+         librsplib2 (= ${binary:Version}),
+         rsplib-services (= ${binary:Version}),
+         rsplib-tools (= ${binary:Version}),
+         ${misc:Depends}
+Description: Debug symbols of the RSerPool programs
+ Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
+ RFC 5356) for a lightweight server pool and session management framework.
+ It provides highly available pool management (that is registration
+ handling and load distribution/balancing) by components called Registrar
+ and a client-side/server-side API for accessing the service of a pool.
+ .
+ This package contains the debug symbols of the rsplib package.
