=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,10 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k ChangeLog
+
+override_dh_install:
+	dh_install
+	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
+
+override_dh_strip:
+	dh_strip --dbg-package=rsplib-dbg
