## rsplib 3.0.1

=== debian/changelog ===
rsplib (3.0.1-1ubuntu6) bionic; urgency=medium

  * Update debian/patches/rsplib-remove-lksctp-workaround.patch from
    upstream to fix additional build failure in bionic.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 Nov 2017 15:10:26 -0800

rsplib (3.0.1-1ubuntu5) bionic; urgency=medium

  * debian/patches/rsplib-remove-lksctp-workaround.patch: drop
    compatibility with obsolete libsctp.  Thanks to Thomas Dreibholz
    <dreibh@iem.uni-due.de>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Oct 2017 15:56:17 -0700

rsplib (3.0.1-1ubuntu4) artful; urgency=medium

  * Drop build-dependency on colorgcc.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Jul 2017 14:56:47 -0700

rsplib (3.0.1-1ubuntu3) raring; urgency=low

  * Added missing math lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 17 Apr 2013 17:08:55 -0400

rsplib (3.0.1-1ubuntu2) raring; urgency=low

  * Add Breaks/Replaces to account for files moved from rsplib-tools to
    rsplib-legacy-wrappers.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jan 2013 11:36:48 +0000

rsplib (3.0.1-1ubuntu1) raring; urgency=high

  [ Thomas Dreibholz ]
  * New upstream release.
  * debian/control: now using colorgcc.
  * debian/control: added dependency dpkg-dev for hardening options.
  * debian/rules: using buildflags.mk for hardening options.
  * debian/watch: added mirror on www.iem.uni-due.de.
 
  [ Bhavani Shankar ]
  * Update debian/copyright to reflect latest standards.
  * Bump standards version to 3.9.4.
  * Close Upgrade bug (LP: #1093075) 

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 21 Dec 2012 22:22:22 +0800
