=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Homepage: http://tdrwww.iem.uni-due.de/dreibholz/rserpool/index.html
 Build-Depends: autotools-dev,
                debhelper (>= 7.0.50~),
+               dpkg-dev (>= 1.16.1~),
                libbz2-dev (>= 1.0),
                libqt4-dev,
                libsctp-dev (>= 1.0.5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: librsplib2
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: RSerPool client/server API library for load distribution and
+Description: RSerPool client/server API library for session management
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
  RFC 5356) for a lightweight server pool and session management framework.
  It provides highly available pool management (that is registration
@@ -76,8 +77,7 @@
 Package: rsplib-docs
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}
 Recommends: librsplib2
 Description: documentation of the RSerPool implementation rsplib
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
@@ -91,7 +91,8 @@
 
 Package: rsplib-registrar
 Architecture: any
-Depends: ${misc:Depends},
+Depends: lsb-base (>= 3.2-14),
+         ${misc:Depends},
          ${shlibs:Depends}
 Recommends: rsplib-docs
 Description: RSerPool Registrar service
@@ -111,7 +112,8 @@
          ${shlibs:Depends}
 Recommends: chrpath,
             rsplib-docs,
-            rsplib-fgp-cfgfiles
+            rsplib-fgp-cfgfiles,
+            rsplib-legacy-wrappers
 Description: RSerPool test tools
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
  RFC 5356) for a lightweight server pool and session management framework.
@@ -140,8 +142,7 @@
 
 Package: rsplib-fgp-cfgfiles
 Architecture: all
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: RSerPool Fractal Generator Service example input files
  Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
  RFC 5356) for a lightweight server pool and session management framework.
@@ -169,3 +170,20 @@
  and a client-side/server-side API for accessing the service of a pool.
  .
  This package contains the debug symbols of the rsplib package.
+
+Package: rsplib-legacy-wrappers
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: rsplib-tools (<< 3.0.0)
+Replaces: rsplib-tools (<< 3.0.0)
+Description: RSerPool legacy names
+ Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
+ RFC 5356) for a lightweight server pool and session management framework.
+ It provides highly available pool management (that is registration
+ handling and load distribution/balancing) by components called Registrar
+ and a client-side/server-side API for accessing the service of a pool.
+ .
+ This package provides legacy wrappers for rsplib-2.x scripts. The programs
+ registrar, server and terminal have been renamed to rspregistrar, rspserver
+ and rspterminal, respectively, in order to avoid naming conflicts.
